Subject: Re: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Michael Heerdegen <[email-masked]>
Date: Thu, 23 Jan 2025 04:25:54 +0100

Tassilo Horn <[email-masked]> writes:

> Could it be that a non-native-comp emacs still picks up outdated eln
> files?  Well, then the question would be why it doesn't anymore...

Don't recall, but it could be.

> Anyway, below the current patch.  It would be great if someone else
> could test it, too.
>
> Obviously, the new inhibit-auto-revert should be mentioned in NEWS and
> the elisp info docs which I'll do and post the final patch for review
> before committing.

I'm a bit late, and very sorry for that, but: doesn't this just
introduce a restricted twin of `buffer-stale-function'?  This variable
is already buffer local in dired buffers and can be used for the same
purpose - or do I miss something?

Michael.